QR Based

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringCustomer End Point Ip AddressMN

Request Parameters

NameTypeRequirementDescription
mobileStringOptionalMobile Number of User
emailStringOptionalEmail Id of User
latitudeStringMandatoryEnd Customer Latitude
longitudeStringMandatoryEnd Customer longitude
consentEnum (Y/N)MandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/okyc/qr' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
    "mobile" : "9835799007",
    "email"  :  "",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "consent" : "Y",
   "externalRef" : "{{random}}"
}'
POST /identity/okyc/qr HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 152

{
    "mobile" : "9835799007",
    "email"  :  "",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "consent" : "Y",
   "externalRef" : "{{random}}"
}'

Response Parameters

NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction code
statusStringStaus Message
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:MM:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "QR String Generated Successfully",
    "data": {
        "qrStatus": "PENDING",
        "qrExpiryDt": "2026-09-17 13:20:02",
        "qrString": "https://maadhaar.com/getIntent?value=287022957173758053355378689273595477982612883740545096552094566669345729019184847665705027780279145007385658076398413671116054808484682268782893028261258688703421195269752609169238616744765335503890635562332698486872451750635942938846453575401153235693605024253964900354227741356281037624852817567246564701661955555638353321254485895674804729523851046097807900288635063465090493694027284431385569427987898524140526968494886492892000454542343673723283715881645666908138397259062608277557018905904948110239912698320542175702617466189070369917950498678352761585251023830544417201490243983567368674817721820938184091757922980094560506748778117043401157047598514707696719010583557845033516632899713740651755184498676433574664021880199812105055396800860843434757512757681010777462540627347027527886034339424944942000495959559239588112844686220256063811892630763707434805201094931213262127422964569607620451562173203829768276811482880973226829441712579672694306374096540372895267363480019515061929013873971980044020385652156732299032525554240784322525649356188038100267443177926005835715747751529773262249905341195958994408159419029412482541520808367888430919068674169997284137368645308342843725390423595046367681048871507300980882175309757803387221263706689528220064680300580566567216270876319722777190611909488460218279619405350725030082399404762267988297981099028187142306881962853173356499646455283578875040090880505764038665590746482173803491480282289403580678543032926138767973192264565330332049539465936576980654269625676820996635831635348863644272169182114701435256154484836484859496949306217264330211060040474414448372423753016767833157078863158720389335056972803380983626250883348536657256408694319195000699782490022731187667117396620440950843075564435083849364549371610963244120455539214022424195627593747164939277422397531183604323057664"
    },
    "timestamp": "2026-09-17 13:15:02",
    "ipay_uuid": "h000a2c4189c-7241-486a-9d49-2517b05b8fa1-gG8kqFvY68xn",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}
📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Aadhaar Number or VID for the
purpose of establishing my identity on the portal. The Aadhaar submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

📘

Steps for QR-Based eKYC

  1. Generate QR String
    Initiate the eKYC API to generate the QR string.
  2. Scan the QR Code
    Convert the QR string into a QR code and scan it using the mAadhaar app.
  3. Face Verification
    Complete the face verification process in the mAadhaar app.
  4. Provide Approval
    Review and provide the required approval in the mAadhaar app.
  5. Receive Aadhaar Data
    Once the approval is successful, the Aadhaar data will be received at the configured callback URL.
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json